Library Version 11.2.5.3

Db::get_lorder()
Prev | Chapter 2. The Db Handle | Next

## Db::get_lorder()

    #include <db_cxx.h>

    int
    Db::get_lorder(int *lorderp);

The `Db::get_lorder()` method returns the database byte order; a byte order of 4,321 indicates a big endian order, and a byte order of 1,234 indicates a little endian order. This value is set using the Db::set_lorder() method.

The `Db::get_lorder()` method may be called at any time during the life of the application.

The `Db::get_lorder()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### lorderp

The `Db::get_lorder()` method returns the database byte order in lorderp.

### Class

Db

### See Also

Database and Related Methods, Db::set_lorder()

Prev | Up | Next
Db::get_lk_exclusive() | Home | Db::get_msgfile()